Bug 449254 - switching from virtual console window to X hangs
switching from virtual console window to X hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 22:20 EDT by Chris MacGregor
Modified: 2009-07-14 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server config file (594 bytes, text/plain)
2008-06-03 01:01 EDT, Chris MacGregor
no flags Details
/var/log/Xorg.0.log with the xorg.conf that I attached (87.94 KB, text/plain)
2008-06-03 01:02 EDT, Chris MacGregor
no flags Details
/var/log/Xorg.0.log with no xorg.conf at all (38.28 KB, text/plain)
2008-06-03 01:02 EDT, Chris MacGregor
no flags Details

  None (edit)
Description Chris MacGregor 2008-05-31 22:20:36 EDT
Description of problem:
I can switch to a console window (e.g., Ctrl-Alt-F1) and all is fine.  When I
try to switch back (Ctrl-Alt-F7), the screen blanks and the machine freezes.  I
can't look for console messages because it blanks the screen.  I can't try a
serial console because it's a laptop with no serial port.  (Does USB serial
really work for a serial console?  If so, I could try to dig one out and try that.)

Another machine also using the radeon driver works fine.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-14.fc9.i386

How reproducible:
100% :-(

Steps to Reproduce:
1. Boot to runlevel 5
2. Ctrl-Alt-F1
3. Ctrl-Alt-F7
  
Actual results:
machine frozen, does not respond to pings, existing remote login sessions frozen

Expected results:
normal operation and back in X.

Additional info:
Relevant bit of lspci -vnn:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Radeon Mobility
M6 LY [1002:4c59] (prog-if 00 [VGA controller])
        Subsystem: Compaq Computer Corporation Unknown device [0e11:b11b]
        Flags: bus master, stepping, fast Back2Back, 66MHz, medium devsel,
latency 66, IRQ 11
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 2000 [size=256]
        Memory at d0100000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2
        Kernel modules: radeonfb

I can provide any additional info needed on request.
Comment 1 Matěj Cepl 2008-06-02 13:01:18 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Chris MacGregor 2008-06-03 01:01:24 EDT
Created attachment 308187 [details]
X server config file
Comment 3 Chris MacGregor 2008-06-03 01:02:17 EDT
Created attachment 308188 [details]
/var/log/Xorg.0.log with the xorg.conf that I attached
Comment 4 Chris MacGregor 2008-06-03 01:02:57 EDT
Created attachment 308189 [details]
/var/log/Xorg.0.log with no xorg.conf at all
Comment 5 Chris MacGregor 2008-06-15 14:27:13 EDT
Anything more I can do to help here?
Comment 6 Matěj Cepl 2008-06-15 15:06:58 EDT
Not that I know of. Assigning to developers.
Comment 7 Milan Kerslager 2008-06-27 11:36:28 EDT
Switching to the text console causes CRT monitor to Off (no input).

ATI Technologies Inc RS690 [Radeon X1200 Series]
Comment 8 Bug Zapper 2009-06-09 21:19:42 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:31:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.